Subject: Re: output file

From: "Michael Neumann" <[email-masked]>
Date: Sun, 23 May 1999 20:08:10 +0200

> I want to save the output of a prolog program in a file, how do I do it?

tell(FILE)                opens a file (overwrites, creates)
told(FILE)              closes the file
append(FILE)         opens a file for appending

after calling tell(file) following rules are going to a file instead of
standard-input/output:

read(X)              reads from file into X
write(X)             writes X to file
get(Ascii)            reads the next character from the file into Ascii
put(Ascii)            writes the character Ascii in the file
nl                        new line
tab(N)                N spaces

I hope this helps!

Michael